List submissions in a project
curl --request GET \
--url https://api.clipstake.com/v1/x/submissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clipstake.com/v1/x/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clipstake.com/v1/x/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.clipstake.com/v1/x/submissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.clipstake.com/v1/x/submissions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.clipstake.com/v1/x/submissions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.clipstake.com/v1/x/submissions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "sub_8c3f5a7b9d1e2f4a6b8c0d2e",
"platform": "x",
"url": "https://x.com/i/status/1834567890123456789",
"platform_media_id": "1834567890123456789",
"media_type": "video",
"account": {
"id": "acct_7b2e4d6f8a0c1e3a5c7e9b1d",
"username": "acmestudio",
"external_user_id": "customer_8f3a2c19"
},
"posted_at": "2026-09-10T14:22:00.000Z",
"status": "active",
"next_read_at": "2026-09-14T14:00:00.000Z",
"unavailable_reason": null,
"parked_reason": null,
"latest": {
"captured_at": "2026-09-14T10:00:00.000Z",
"views": 214300,
"reach": null,
"likes": 5920,
"comments": 412,
"shares": 1036,
"saves": 880,
"total_interactions": null,
"extra": {
"quotes": 97
}
},
"metadata": {
"campaign": "fall"
},
"cadence_hours": 4,
"start_at": null,
"end_at": null,
"geo": false,
"created_at": "2026-09-10T14:25:43.000Z",
"comments": {
"captured_at": null,
"items": []
}
}
],
"next_cursor": null
}{
"error": {
"code": "invalid_request",
"message": "The request body or parameters are invalid.",
"request_id": "req_01K5A7N8QY2M4C6V9X3J"
}
}{
"error": {
"code": "unauthorized",
"message": "Provide a valid API key.",
"request_id": "req_01K5A7P2CH8T6R4W9M1B"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"request_id": "req_01K5A7R4WM9C2N6B8X3D"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "req_01K5A7S6FQ3V8H2N9C4M"
}
}Submissions
List submissions in a project
GET
/
x
/
submissions
List submissions in a project
curl --request GET \
--url https://api.clipstake.com/v1/x/submissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clipstake.com/v1/x/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clipstake.com/v1/x/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.clipstake.com/v1/x/submissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.clipstake.com/v1/x/submissions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.clipstake.com/v1/x/submissions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.clipstake.com/v1/x/submissions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "sub_8c3f5a7b9d1e2f4a6b8c0d2e",
"platform": "x",
"url": "https://x.com/i/status/1834567890123456789",
"platform_media_id": "1834567890123456789",
"media_type": "video",
"account": {
"id": "acct_7b2e4d6f8a0c1e3a5c7e9b1d",
"username": "acmestudio",
"external_user_id": "customer_8f3a2c19"
},
"posted_at": "2026-09-10T14:22:00.000Z",
"status": "active",
"next_read_at": "2026-09-14T14:00:00.000Z",
"unavailable_reason": null,
"parked_reason": null,
"latest": {
"captured_at": "2026-09-14T10:00:00.000Z",
"views": 214300,
"reach": null,
"likes": 5920,
"comments": 412,
"shares": 1036,
"saves": 880,
"total_interactions": null,
"extra": {
"quotes": 97
}
},
"metadata": {
"campaign": "fall"
},
"cadence_hours": 4,
"start_at": null,
"end_at": null,
"geo": false,
"created_at": "2026-09-10T14:25:43.000Z",
"comments": {
"captured_at": null,
"items": []
}
}
],
"next_cursor": null
}{
"error": {
"code": "invalid_request",
"message": "The request body or parameters are invalid.",
"request_id": "req_01K5A7N8QY2M4C6V9X3J"
}
}{
"error": {
"code": "unauthorized",
"message": "Provide a valid API key.",
"request_id": "req_01K5A7P2CH8T6R4W9M1B"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"request_id": "req_01K5A7R4WM9C2N6B8X3D"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "req_01K5A7S6FQ3V8H2N9C4M"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 100Pattern:
^acct_[0-9a-f]{24}$Available options:
active, paused, unavailable, parked, stopped